### Function

# Pango Font descriptions_free

deprecated: 1.56

#### Declaration [src]

    void
    pango_font_descriptions_free (
      PangoFontDescription** descs,
      int n_descs
    )

#### Description [src]

Frees an array of font descriptions.

Deprecated since: 1.56

Just use pango_font_description_free in a loop.

#### Parameters

`descs`

  Type: An array of `PangoFontDescription*`

  A pointer to an array of `PangoFontDescription`, may be `NULL`.

  The argument can be `NULL`.
  The length of the array is specified in the `n_descs` argument.
  The called function takes ownership of the data, and is responsible for freeing it.

`n_descs`

  Type: `int`

  Number of font descriptions in `descs`.